DocsiteTarget (Document Site Generator 2.0.0 API)
Date: 2007-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.docsite
Interface DocsiteTarget

All Known Implementing Classes:
  DirectoryStore, FTPStore

    public interface DocsiteTarget

Method Summary
`void` | `close()`
`java.io.PrintWriter` | `createDocument(java.lang.String name)`
`void` | `createDocumentFromStream(java.lang.String name, java.io.InputStream stream)`
`DocsiteTarget` | `createTargetFolder(java.lang.String name)`
`boolean` | `exists(java.lang.String fileName)`
`DocsiteTarget` | `getTargetFolder(java.lang.String name)`
`boolean` | `hasFolder(java.lang.String folderName)`

Method Detail

### getTargetFolder

    DocsiteTarget getTargetFolder(java.lang.String name)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createTargetFolder

    DocsiteTarget createTargetFolder(java.lang.String name)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createDocument

    java.io.PrintWriter createDocument(java.lang.String name)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createDocumentFromStream

    void createDocumentFromStream(java.lang.String name,
                                  java.io.InputStream stream)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### hasFolder

    boolean hasFolder(java.lang.String folderName)

### exists

    boolean exists(java.lang.String fileName)

### close

    void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Tomas Teubner. All Rights Reserved.